# New ports collection makefile for:   kdemultimedia
# Date created:        28 October 1997
# Whom:                Stefan Eßer <se@freebsd.org>
#
# $FreeBSD: ports/audio/kdemultimedia11/Makefile,v 1.42 2000/10/30 01:33:54 will Exp $
#

PORTNAME=	kdemultimedia
PORTVERSION=	1.1.2
CATEGORIES=	audio kde
MASTER_SITES=	$(MASTER_SITE_KDE)
MASTER_SITE_SUBDIR= Attic/old/1.1.2/distribution/tar/generic/source/bz2

MAINTAINER=	se@freebsd.org
IGNORE = "proclus:Mon Jan 15 16:26:12 EST 2001:kde required"
LIB_DEPENDS=	jpeg.9:${PORTSDIR}/graphics/jpeg \
		#kdecore.3:${PORTSDIR}/x11/kdelibs11

USE_QT=		yes
#NO_LATEST_LINK=	yes
USE_BZIP2=	yes
HAS_CONFIGURE=	yes
CONFIGURE_ARGS=	"--prefix=$(PREFIX)" \
		"--with-qt-includes=${QTDIR}/include/X11/qt" \
		"--with-extra-includes=${LOCALBASE}/include" \
		"--with-extra-libs=${LOCALBASE}/lib"
CONFIGURE_ENV=	CXXFLAGS="$(CFLAGS)" \
		INSTALL_SCRIPT="install -c -m 555" \
		QTDIR=${QTDIR}
USE_GMAKE=	yes

.if defined(PREFIX)
QTDIR?=		${PREFIX}
.else
QTDIR?=		${X11BASE}
.endif

.include <bsd.port.mk>
